Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IRequirement

    com.change_vision.jude.api.inf.model.IRequirement

All Superinterfaces:
  IClass, IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IClass, IElement, IEntity, IHyperlinkOwner, INamedElement

    public IRequirement

extends IClass

Interface for Requirements.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract String` | `getRequirementID()` Get Requirement ID.
`abstract String` | `getRequirementText()` Get Requirement Text.
`abstract void` | `setRequirementID(String id)` Set Requirement ID.
`abstract void` | `setRequirementText(String text)` Set Requirement Text.

Methods inherited from class com.change_vision.jude.api.inf.model.IClass
`getAttributes, getGeneralizations, getNestedClasses, getOperations, getPorts, getSpecializations, getTemplateBindings, getTemplateParameters, isAbstract, isActive, isLeaf, setAbstract, setActive, setLeaf`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getRequirementID

    abstract String getRequirementID()

  Get Requirement ID.

  Returns:
    Requirement ID

### getRequirementText

    abstract String getRequirementText()

  Get Requirement Text.

  Returns:
    Requirement Text

### setRequirementID

    abstract void setRequirementID(String id)

  Set Requirement ID.

  Parameters:
    `id` - Requirement ID.
  Throws:
    `InvalidEditingException`

### setRequirementText

    abstract void setRequirementText(String text)

  Set Requirement Text.

  Parameters:
    `text` - Requirement Text.
  Throws:
    `InvalidEditingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD